Package org.eclipse.net4j.util

## Class Predicate.DelegatingPredicate<T>

- java.lang.Object
- - org.eclipse.net4j.util.Predicate.DelegatingPredicate<T>

- All Implemented Interfaces:
    `Predicate<T>`
  Enclosing interface:
    Predicate<T>

      @Deprecated
      public static final class Predicate.DelegatingPredicate<T>
      extends java.lang.Object
      implements Predicate<T>

  Deprecated.
  As of 3.10 use `Predicate`.
  Since:
    3.10
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.Predicate

      `Predicate.DelegatingPredicate<T>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingPredicate​(java.util.function.Predicate<T> delegate)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `apply​(T element)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingPredicate

          public DelegatingPredicate​(java.util.function.Predicate<T> delegate)

      Deprecated.

  - ### Method Detail

    - #### apply

          public boolean apply​(T element)

      Deprecated.
      Specified by:
        `apply` in interface `Predicate<T>`